<div id="create-campaign-page">

  <p>Denna sida är till för att personal från Jobbsprånget ska kunna lista
    de företag som ingår i programmet/kampanjen, samt lämna kontaktuppgifter till
    de fackförbund som ger sitt Yttrande.
  </p>

  <h2>1. Ange kampanjdatum och importera företag</h2>
  <p id="campaign-stop-date-header">Kampanjens slutdatum</p>
  <input type="text" id="campain-stop-date" [(ngModel)]="campaignStopDate" />
  <p style="margin-bottom: 2em">En tid efter kampanjens slutdatum kommer ej matchade sökanden och -företag raderas i AFs system.</p>

  <div id="upload-form">
  <form>
    <label for="upload-csv" class="blue-button">Importera företag från fil</label>
    <input (change)="selectFile($event)" type="file" id="upload-csv" name="upload-csv" accept=".csv" />
  </form>
  <span *ngIf="uploadSuccess">
    Filen är inläst 2022-04-04 13:45
  </span>
  <span *ngElse>
    Filen är inte korrekt, kontrollera den och försök igen.
  </span>
  </div>

  <p class="c30p-wide">Välj en fil från din dator. Den ska vara en kommaseparerad tabell (.csv-formatterad) med företag och kontaktuppgift.
    Se <a href="/case_management/static/file/employers.csv">exempelfil</a>.
  </p>

  <h2>2. Ange kontaktuppgifter till fackförbunden</h2>
  <div id="add-custom-contacts">
  <p class="c80p-wide">Mottagare på fackförbunden kommer att få en länk för att kunna signera yttrandet om företagen på denna sida.
    Systemet håller koll på att deltagande företag är signerade med 12-månadersintervall, och skickar ut signeringslänkar vid behov.</p>

  <div id="contact-unions-grid">
  <p class="gray">(Lägg till epostadresser i fältet nedan)</p>
  <div *ngIf="unionContacts.length > 0" id="display-custom-unions">
  <div id="union-contacts-header">
  <div><b>Namn</b></div>
  <div><b>Epostadress</b></div>
  </div>
  <div *ngFor="let unionContact of unionContacts" class="union-contact">  
  <div>
{{ unionContact.unionName }} 
  </div>
  <div>
  {{ unionContact.unionEmail }}
  </div>
  </div>
  </div>
  </div>

  <div id="add-union-contact">
<!--   <p class="p-header">Fackförbund</p>
<p class="p-header">Ange epostadress</p> -->
<div>
<label for="union-name">Fackförbund</label>
<input type="text" id="union-name" [(ngModel)]="addUnionName" placeholder="Sveriges Ingenjörer" />
</div>
<div>
<label for="union-email">Ange epostadress</label>
    <input type="text" id="union-email" [(ngModel)]="addUnionEmail" placeholder="exempel@epost.se" />
    </div>
    <div>
    <button type="submit"
    (click)="addUnionContactSubmit($event)"
    id="add-contact-button">Lägg till</button>
</div>
    </div>

  </div>

  <div id="send-in">
    <h2>3. Skicka in</h2>
    <button id="send-in-button" class="blue-button" (click)="showConfirmModal($event)">Skicka in företag och fackförbundskontakter till AF</button>
    </div>

    <div id="companies-that-applied">
    <h2>Företag som ansökt om att ta emot praktikanter via Jobbsprånget</h2>
    <p *ngIf="listReadDate">Listan är senast inläst {{ listReadDate }}</p>
    <div id="company-grid-wrapper">
    <company-grid
    [companyColumns]="createCampaignCompanyColumns"
    [companies]="companies"></company-grid>
    </div>
    </div>

    <confirm-create-campaign-modal *ngIf="showConfirmModalVal"
    (onConfirm)="confirm($event)"
    (onCancel)="cancel($event)"
    ></confirm-create-campaign-modal>
  
</div>

<style>

.c80p-wide {
        max-width: 80%;
    }

.c30p-wide {
        max-width: 30%;
}

.p-header {
    margin: 0;
}

#send-in-button {
    font-size: 1em;
}

.union-contact {
    display: grid;
    grid-template-columns: 30% 70%;
}

#union-contacts-header {
    display: grid;
    grid-template-columns: 30% 70%;
}

  #add-union-contact {
      display: grid;
      grid-template-columns: 25% 57% 14%;
      column-gap: 2%;
  }

  #union-name {
      background: rgb(240, 245, 246);
      padding: 0.5em;
      font-size: 1em;
      border: 1px solid #000;
      width: 90%;
  }

  #union-email {
      background: rgb(240, 245, 246);
      padding: 0.5em;
      font-size: 1em;
      border: 1px solid #000;
      width: 95%;
  }

  #add-contact-button {
      border-radius: 5px;
      border: 2px solid rgb(0, 0, 90);
      background-color: #fff;
      color: rgb(0, 0, 90);
      font-weight: bold;
      font-size: 1em;
      font-family: 'Open Sans';
      padding-left: 1em;
      padding-right: 1em;
      padding-top: 0.3em;
      padding-bottom: 0.3em;
      margin-top: 1.5em;
      width: 100%;
      cursor: pointer;
/*      margin-left: 0.25em; */
  }
  #add-custom-contacts {
      max-width: 50%;
  }
  .gray {
      color: rgb(180, 182, 182);
  }

  #campaign-stop-date-header {
      margin-bottom: 0.25em;
  }

  #contact-unions-grid {
      border: 1px solid #000;
      padding-left: 1em;
      margin-bottom: 1em;
  }

  #campain-stop-date {
      background: rgb(240, 245, 246);
      padding: 0.5em;
      font-size: 1em;
      border: 1px solid #000;
  }

  #create-campaign-page {
      font-family: 'Open Sans';
  }
  
  #upload-csv {
      visibility: hidden;
  }
  
  .blue-button {
      border-radius: 5px;
      background-color: rgb(0, 0, 90);
      color: #fff;
      padding: 0.5em 1.5em 0.5em 1.5em;
      font-weight: bold;
  }

  .af-button {
      border-radius: 5px;
      background-color: rgb(0, 0, 90);
      color: #fff;
      padding: 0.5em;
  }
</style>
